package com.rv.home.rv.module.ui.main.mine;

import android.os.Bundle;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseFragment;
import com.rv.home.R;
import com.rv.home.R2;
import com.rv.home.rv.module.basic.presenter.CommonPresenter;
import com.rv.home.rv.module.ui.main.home.order.OrderListActivity;

import butterknife.OnClick;

/**
 * Created :Auser
 * Date: 2019/5/15.
 * Desc:我的
 */

public class MineFragment extends BaseFragment<CommonPresenter> {


    public static MineFragment getInstance(int type) {
        Bundle bundl = new Bundle();
        bundl.putInt("type", type);
        MineFragment fragment = new MineFragment();
        fragment.setArguments(bundl);
        return fragment;
    }

    @Override
    public int getViewLayout() {
        return R.layout.rv_fragment_mine;
    }

    @Override
    protected void initView(Bundle savedInstanceState) {
        if (getArguments() != null) {
            int type = getArguments().getInt("type");
        }


    }

    @Override
    protected void loadData(Bundle savedInstanceState) {

    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }


    @OnClick(R2.id.tv_order)
    public void onViewClicked() {
        startActivity(OrderListActivity.getIntent(_mActivity, 0));
    }
}

